%define luaver  5.3
%define lualibdir %{_libdir}/lua/%{luaver}
%define luapkgdir %{_datadir}/lua/%{luaver}
%define oname   luafilesystem

%define realver 1_8_0

Name:           lua-filesystem
Version:        %(echo %{realver} | tr '_' '.')
Release:        %mkrel 2
Summary:        FileSystem library for the Lua programming language

Group:          Development/Other
License:        MIT
URL:            http://keplerproject.github.io/luafilesystem
Source0:        https://github.com/keplerproject/luafilesystem/archive/v%{realver}/%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(lua) >= %{luaver}
Requires:       lua%{luaver} >= %{luaver}

%description
LuaFileSystem is a Lua library developed to complement the set of functions
related to file systems offered by the standard Lua distribution.
It offers a portable way to access the underlying directory structure
and file attributes.

%prep
%setup -q -n %{oname}-%{realver}

%build
%make_build CFLAGS="%{optflags} -fPIC"

%install
%make_install \
    PREFIX=%{_prefix} \
    LUA_LIBDIR=%{lualibdir} \
    LUA_DIR=%{luapkgdir}

%files
%doc README.md doc/us/*
%{lualibdir}/lfs.so


%changelog
* Mon Oct 19 2020 akien <akien> 1.8.0-2.mga8
+ Revision: 1636876
- Move from lua5.2 to lua5.3

* Mon Oct 19 2020 akien <akien> 1.8.0-1.mga8
+ Revision: 1636859
- Version 1.8.0

* Fri Feb 14 2020 umeabot <umeabot> 1.7.0.2-2.mga8
+ Revision: 1520590
- Mageia 8 Mass Rebuild

* Sun Dec 02 2018 kekepower <kekepower> 1.7.0.2-1.mga7
+ Revision: 1337672
- Update to version 1.7.0.2

* Sun Sep 23 2018 umeabot <umeabot> 1.7.0-2.mga7
+ Revision: 1299369
- Mageia 7 Mass Rebuild

* Wed Apr 04 2018 kekepower <kekepower> 1.7.0-1.mga7
+ Revision: 1215164
- Update to version 1.7.0

* Wed Aug 30 2017 daviddavid <daviddavid> 1.6.2-5.mga7
+ Revision: 1148544
- honor user CFLAGS thus fixing empty debugsourcefiles.list

* Fri Feb 05 2016 umeabot <umeabot> 1.6.2-4.mga6
+ Revision: 936385
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.6.2-3.mga5
+ Revision: 748464
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.2-2.mga5
+ Revision: 682027
- Mageia 5 Mass Rebuild

* Sun Aug 10 2014 akien <akien> 1.6.2-1.mga5
+ Revision: 661482
- Version 1.6.2

* Fri Oct 18 2013 umeabot <umeabot> 1.5.0-2.20120408.3.mga4
+ Revision: 507575
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.5.0-2.20120408.2.mga3
+ Revision: 359057
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jun 03 2012 fwang <fwang> 1.5.0-2.20120408.1.mga3
+ Revision: 253756
- update to latest code of upstream
- rebuild for lua 5.2

* Fri Apr 15 2011 shikamaru <shikamaru> 1.5.0-1.mga1
+ Revision: 85984
- New version 1.5.0

* Sun Mar 13 2011 shikamaru <shikamaru> 1.4.2-3.mga1
+ Revision: 70288
- imported package lua-filesystem

